# Timeouts
boot-timeout-arm64: &boot-timeout-arm64 30
boot-timeout-amd64: &boot-timeout-amd64 15
ltp-smoke-timeout: &ltp-smoke-timeout 15

# debian-mmtests rootfs
rootfs-debian-mmtests-testing-amd64: &rootfs-debian-mmtests-testing-amd64 https://storage.tuxboot.com/debian-mmtests/bookworm/amd64/rootfs.ext4.xz
rootfs-debian-mmtests-testing-amd64-tar: &rootfs-debian-mmtests-testing-amd64-tar https://storage.tuxboot.com/debian-mmtests/bookworm/amd64/rootfs.tar.xz
rootfs-debian-mmtests-testing-arm64: &rootfs-debian-mmtests-testing-arm64 https://storage.tuxboot.com/debian-mmtests/bookworm/arm64/rootfs.ext4.xz
rootfs-debian-mmtests-testing-arm64-tar: &rootfs-debian-mmtests-testing-arm64-tar https://storage.tuxboot.com/debian-mmtests/bookworm/arm64/rootfs.tar.xz

# LTP overlays
ltp-debian-bookworm-amd64: &ltp-debian-bookworm-amd64 https://storage.tuxboot.com/overlays/debian/bookworm/amd64/ltp/20230929/ltp.tar.xz
ltp-debian-bookworm-arm64: &ltp-debian-bookworm-arm64 https://storage.tuxboot.com/overlays/debian/bookworm/arm64/ltp/20230929/ltp.tar.xz

# MMTests overlays
mmtests-workload-stressng-class-io-parallel-arm64: &mmtests-workload-stressng-class-io-parallel-arm64 https://storage.tuxboot.com/overlays/debian/bookworm/arm64/mmtests/master/config-workload-stressng-class-io-parallel.tar.xz
mmtests-workload-ebizzy-amd64: &mmtests-workload-ebizzy-amd64 https://storage.tuxboot.com/overlays/debian/bookworm/amd64/mmtests/master/config-workload-ebizzy.tar.xz
mmtests-workload-stressng-class-io-parallel-amd64: &mmtests-workload-stressng-class-io-parallel-amd64 https://storage.tuxboot.com/overlays/debian/bookworm/amd64/mmtests/master/config-workload-stressng-class-io-parallel.tar.xz
mmtests-workload-ebizzy-arm64: &mmtests-workload-ebizzy-arm64 https://storage.tuxboot.com/overlays/debian/bookworm/arm64/mmtests/master/config-workload-ebizzy.tar.xz
mmtests-io-fio-randread-sync-heavywrite-arm64: &mmtests-io-fio-randread-sync-heavywrite-arm64 https://storage.tuxboot.com/overlays/debian/bookworm/arm64/mmtests/master/config-io-fio-randread-sync-heavywrite.tar.xz
mmtests-io-fio-randread-sync-heavywrite-amd64: &mmtests-io-fio-randread-sync-heavywrite-amd64 https://storage.tuxboot.com/overlays/debian/bookworm/amd64/mmtests/master/config-io-fio-randread-sync-heavywrite.tar.xz

version: 1
name: Validation of linux kernel
description: Performance test linux kernel
jobs:
- name: 76cae9db_amd64_baseline-ebizzy
  builds:
    - build_name: 76cae9db_amd64_baseline
      target_arch: x86_64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - CONFIG_AUTOFS4_FS=y
        - CONFIG_ENA_ETHERNET=y
        - CONFIG_NET_9P=y
        - CONFIG_NET_9P_VIRTIO=y
        - CONFIG_9P_FS=y
        - CONFIG_PCI=y
        - CONFIG_VIRTIO_PCI=y
      git_repo: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
      git_sha: 76cae9dbe185b82aeb0640aa2b73da4a8e0088ce
  tests:
     - device: qemu-x86_64
       boot_args: rw
       shared: true
       host: x86_64_large
       parameters: { SKIPFILE: "skipfile-lkft.yaml", ITERATIONS: 1 }
       rootfs: *rootfs-debian-mmtests-testing-amd64
       overlay: [ [*mmtests-workload-ebizzy-amd64, /mmtests ] ]
       tests: [ mmtests-workload-ebizzy ]
       timeouts: { "boot": *boot-timeout-amd64 }
- name: 76cae9db_arm64_baseline-ebizzy
  builds:
    - build_name: 76cae9db_arm64_baseline
      target_arch: arm64
      toolchain: gcc-12
      kconfig:
        - https://git.codelinaro.org/linaro/benchmarking/pipelines/-/raw/main/kconfigs/config-6.1.0-arm64
        - CONFIG_AUTOFS4_FS=y
        - CONFIG_ENA_ETHERNET=y
      git_repo: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
      git_sha: 76cae9dbe185b82aeb0640aa2b73da4a8e0088ce
  tests:
     - device: qemu-arm64
       boot_args: rw
       shared: true
       host: arm64_large
       parameters: { SKIPFILE: "skipfile-lkft.yaml", ITERATIONS: 5 }
       rootfs: *rootfs-debian-mmtests-testing-arm64
       overlay: [ [*mmtests-workload-ebizzy-arm64, /mmtests ] ]
       tests: [ mmtests-workload-ebizzy ]
       timeouts: { "boot": *boot-timeout-arm64 }
- name: e8f331bc_amd64_target-ebizzy
  builds:
    - build_name: e8f331bc_amd64_target
      target_arch: x86_64
      toolchain: gcc-12
      kconfig:
        - https://git.codelinaro.org/linaro/benchmarking/pipelines/-/raw/main/kconfigs/config-6.1.0-amd64
        - CONFIG_AUTOFS4_FS=y
        - CONFIG_ENA_ETHERNET=y
      git_repo: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
      git_sha: e8f331bcc270354a803c2127c486190d33eac441
  tests:
     - device: qemu-x86_64
       boot_args: rw
       shared: true
       host: x86_64_large
       parameters: { SKIPFILE: "skipfile-lkft.yaml", ITERATIONS: 5 }
       rootfs: *rootfs-debian-mmtests-testing-amd64
       overlay: [ [*mmtests-workload-ebizzy-amd64, /mmtests ] ]
       tests: [ mmtests-workload-ebizzy ]
       timeouts: { "boot": *boot-timeout-amd64 }
- name: e8f331bc_arm64_target-ebizzy
  builds:
    - build_name: e8f331bc_arm64_target
      target_arch: arm64
      toolchain: gcc-12
      kconfig:
        - https://git.codelinaro.org/linaro/benchmarking/pipelines/-/raw/main/kconfigs/config-6.1.0-arm64
        - CONFIG_AUTOFS4_FS=y
        - CONFIG_ENA_ETHERNET=y
      git_repo: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
      git_sha: e8f331bcc270354a803c2127c486190d33eac441
  tests:
     - device: qemu-arm64
       boot_args: rw
       shared: true
       host: arm64_large
       parameters: { SKIPFILE: "skipfile-lkft.yaml", ITERATIONS: 5 }
       rootfs: *rootfs-debian-mmtests-testing-arm64
       overlay: [ [*mmtests-workload-ebizzy-arm64, /mmtests ] ]
       tests: [ mmtests-workload-ebizzy ]
       timeouts: { "boot": *boot-timeout-arm64 }
- name: 3c629604_amd64_baseline-fio
  builds:
    - build_name: 3c629604_amd64_baseline
      target_arch: x86_64
      toolchain: gcc-12
      kconfig:
        - https://git.codelinaro.org/linaro/benchmarking/pipelines/-/raw/main/kconfigs/config-6.1.0-amd64
        - CONFIG_AUTOFS4_FS=y
        - CONFIG_ENA_ETHERNET=y
      git_repo: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
      git_sha: 3c6296046c85333bc52555a670a9093d9e2657bb
  tests:
     - device: qemu-x86_64
       boot_args: rw
       shared: true
       host: x86_64_large
       parameters: { SKIPFILE: "skipfile-lkft.yaml", ITERATIONS: 10 }
       rootfs: *rootfs-debian-mmtests-testing-amd64
       overlay: [ [*mmtests-io-fio-randread-sync-heavywrite-amd64, /mmtests ] ]
       tests: [ mmtests-io-fio-randread-sync-heavywrite ]
       timeouts: { "boot": *boot-timeout-amd64 }
- name: 3c629604_arm64_baseline-fio
  builds:
    - build_name: 3c629604_arm64_baseline
      target_arch: arm64
      toolchain: gcc-12
      kconfig:
        - https://git.codelinaro.org/linaro/benchmarking/pipelines/-/raw/main/kconfigs/config-6.1.0-arm64
        - CONFIG_AUTOFS4_FS=y
        - CONFIG_ENA_ETHERNET=y
      git_repo: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
      git_sha: 3c6296046c85333bc52555a670a9093d9e2657bb
  tests:
     - device: qemu-arm64
       boot_args: rw
       shared: true
       host: arm64_large
       parameters: { SKIPFILE: "skipfile-lkft.yaml", ITERATIONS: 10 }
       rootfs: *rootfs-debian-mmtests-testing-arm64
       overlay: [ [*mmtests-io-fio-randread-sync-heavywrite-arm64, /mmtests ] ]
       tests: [ mmtests-io-fio-randread-sync-heavywrite ]
       timeouts: { "boot": *boot-timeout-arm64 }
- name: 4f3d1e45_amd64_target-fio
  builds:
    - build_name: 4f3d1e45_amd64_target
      target_arch: x86_64
      toolchain: gcc-12
      kconfig:
        - https://git.codelinaro.org/linaro/benchmarking/pipelines/-/raw/main/kconfigs/config-6.1.0-amd64
        - CONFIG_AUTOFS4_FS=y
        - CONFIG_ENA_ETHERNET=y
      git_repo: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
      git_sha: 4f3d1e4533b0982034f316ace85415d3bc57e3da 
  tests:
     - device: qemu-x86_64
       boot_args: rw
       shared: true
       host: x86_64_large
       parameters: { SKIPFILE: "skipfile-lkft.yaml", ITERATIONS: 10 }
       rootfs: *rootfs-debian-mmtests-testing-amd64
       overlay: [ [*mmtests-io-fio-randread-sync-heavywrite-amd64, /mmtests ] ]
       tests: [ mmtests-io-fio-randread-sync-heavywrite ]
       timeouts: { "boot": *boot-timeout-amd64 }
- name: 4f3d1e45_arm64_target-fio
  builds:
    - build_name: 4f3d1e45_arm64_target
      target_arch: arm64
      toolchain: gcc-12
      kconfig:
        - https://git.codelinaro.org/linaro/benchmarking/pipelines/-/raw/main/kconfigs/config-6.1.0-arm64
        - CONFIG_AUTOFS4_FS=y
        - CONFIG_ENA_ETHERNET=y
      git_repo: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
      git_sha: 4f3d1e4533b0982034f316ace85415d3bc57e3da 
  tests:
     - device: qemu-arm64
       boot_args: rw
       shared: true
       host: arm64_large
       parameters: { SKIPFILE: "skipfile-lkft.yaml", ITERATIONS: 10 }
       rootfs: *rootfs-debian-mmtests-testing-arm64
       overlay: [ [*mmtests-io-fio-randread-sync-heavywrite-arm64, /mmtests ] ]
       tests: [ mmtests-io-fio-randread-sync-heavywrite ]
       timeouts: { "boot": *boot-timeout-arm64 }
- name: caec5ebe_amd64_target-stress-ng
  builds:
    - build_name: caec5ebe_amd64_target
      target_arch: x86_64
      toolchain: gcc-12
      kconfig:
        - https://git.codelinaro.org/linaro/benchmarking/pipelines/-/raw/main/kconfigs/config-6.1.0-amd64
        - CONFIG_AUTOFS4_FS=y
        - CONFIG_ENA_ETHERNET=y
      git_repo: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
      git_sha: caec5ebe77f97d948dcf46f07d622bda7f1f6dfd 
  tests:
     - device: qemu-x86_64
       boot_args: rw
       shared: true
       host: x86_64_large
       parameters: { SKIPFILE: "skipfile-lkft.yaml", ITERATIONS: 10 }
       rootfs: *rootfs-debian-mmtests-testing-amd64
       overlay: [ [*mmtests-workload-stressng-class-io-parallel-amd64, /mmtests ] ]
       tests: [ mmtests-workload-stressng-class-io-parallel ]
       timeouts: { "boot": *boot-timeout-amd64 }
- name: caec5ebe_arm64_target-stress-ng
  builds:
    - build_name: caec5ebe_arm64_target
      target_arch: arm64
      toolchain: gcc-12
      kconfig:
        - https://git.codelinaro.org/linaro/benchmarking/pipelines/-/raw/main/kconfigs/config-6.1.0-arm64
        - CONFIG_AUTOFS4_FS=y
        - CONFIG_ENA_ETHERNET=y
      git_repo: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
      git_sha: caec5ebe77f97d948dcf46f07d622bda7f1f6dfd 
  tests:
     - device: qemu-arm64
       boot_args: rw
       shared: true
       host: arm64_large
       parameters: { SKIPFILE: "skipfile-lkft.yaml", ITERATIONS: 10 }
       rootfs: *rootfs-debian-mmtests-testing-arm64
       overlay: [ [*mmtests-workload-stressng-class-io-parallel-arm64, /mmtests ] ]
       tests: [ mmtests-workload-stressng-class-io-parallel ]
       timeouts: { "boot": *boot-timeout-arm64 }
- name: e9833d87_amd64_baseline-stress-ng
  builds:
    - build_name: e9833d87_amd64_baseline
      target_arch: x86_64
      toolchain: gcc-12
      kconfig:
        - https://git.codelinaro.org/linaro/benchmarking/pipelines/-/raw/main/kconfigs/config-6.1.0-amd64
        - CONFIG_AUTOFS4_FS=y
        - CONFIG_ENA_ETHERNET=y
      git_repo: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
      git_sha: e9833d8701028b5dd62895e68f4a280aad359172
  tests:
     - device: qemu-x86_64
       boot_args: rw
       shared: true
       host: x86_64_large
       parameters: { SKIPFILE: "skipfile-lkft.yaml", ITERATIONS: 10 }
       rootfs: *rootfs-debian-mmtests-testing-amd64
       overlay: [ [*mmtests-workload-stressng-class-io-parallel-amd64, /mmtests ] ]
       tests: [ mmtests-workload-stressng-class-io-parallel ]
       timeouts: { "boot": *boot-timeout-amd64 }
- name: e9833d87_arm64_baseline-stress-ng
  builds:
    - build_name: e9833d87_arm64_baseline
      target_arch: arm64
      toolchain: gcc-12
      kconfig:
        - https://git.codelinaro.org/linaro/benchmarking/pipelines/-/raw/main/kconfigs/config-6.1.0-arm64
        - CONFIG_AUTOFS4_FS=y
        - CONFIG_ENA_ETHERNET=y
      git_repo: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
      git_sha: e9833d8701028b5dd62895e68f4a280aad359172
  tests:
     - device: qemu-arm64
       boot_args: rw
       shared: true
       host: arm64_large
       parameters: { SKIPFILE: "skipfile-lkft.yaml", ITERATIONS: 10 }
       rootfs: *rootfs-debian-mmtests-testing-arm64
       overlay: [ [*mmtests-workload-stressng-class-io-parallel-arm64, /mmtests ] ]
       tests: [ mmtests-workload-stressng-class-io-parallel ]
       timeouts: { "boot": *boot-timeout-arm64 }
